<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ps="http://www.gsis.gr/psp/2.3" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes">
	<xsl:output version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="no" media-type="text/html"/>
	<xsl:template match="/">
		<html>
			<head>
				<title/>
			</head>
			<body>
				<xsl:for-each select="ps:psp">
					<xsl:for-each select="ps:body">
					<xsl:for-each select="ps:organizations">
											<xsl:for-each select="ps:organization">
						<table border="0">
							<thead>
								<tr bgcolor="#E2E2E2">
									<td height="39" width="#%100">
										<span style="font-weight:bold; ">Ταυτότητα οργανισμού: </span>
										
												<xsl:for-each select="@id">
													<span style="font-weight:bold; ">
														<xsl:value-of select="."/>
													</span>
												</xsl:for-each>
										
										<br/>
									</td>
								</tr>
							</thead>
							<tbody>
								
									<tr>
										<td width="#%100">
											<span style="font-weight:bold; ">Σύνολα:</span>
											<br/>
											
												<table border="1">
													<thead>
														<tr bgcolor="#FFFF95">
															<td>Ακκαθάριστες αμοιβές</td>
															<td>Κρατήσεις</td>
															<td>Καθαρό ποσό <br/>1ης πληρωμής</td>
															<td>Καθαρό ποσό <br/>2ης πληρωμής</td>
															<td>Εργοδ. Εισφορές</td>
														</tr>
													</thead>
													<tbody>
														<xsl:for-each select="ps:totals">
															<tr>
																<td>
																	<xsl:for-each select="@gross">
																		<xsl:value-of select="."/>
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="@deduction">
																		<xsl:value-of select="."/>
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="@netAmount1">
																		<xsl:value-of select="."/>
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="@netAmount2">
																		<xsl:value-of select="."/>
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="@employerTax">
																		<xsl:value-of select="."/>
																	</xsl:for-each>
																</td>
															</tr>
														</xsl:for-each>
													</tbody>
												</table>
											
											<br/>
											<hr color="black" size="1"/>
											<span style="font-weight:bold; ">Εργαζόμενοι:</span>
											
												<xsl:for-each select="ps:employees">
													<table bgcolor="#A0A0A0" border="0">
														<thead>
															<tr>
																<td height="5" width="#%100"/>
															</tr>
														</thead>
														<tbody>
															<xsl:for-each select="ps:employee">
																<tr bgcolor="#F4F4F4">
																	<td width="#%100">
																		<table border="1" width="#%100">
																			<thead>
																				<tr bgcolor="#FFFF9F">
																					<td width="256">Όνομα</td>
																					<td width="249">Επώνυμο</td>
																					<td width="139">Τηλέφωνο</td>
																					<td width="180">email</td>
																					<td width="169">ΑΦΜ</td>
																					<td width="247">ΑΤ</td>
																					<td width="395">Λογ. Τραπέζης</td>
																					<td width="786">ΑΜΚΑ</td>
																				</tr>
																			</thead>
																			<tbody>
																				<xsl:for-each select="ps:identification">
																					<tr>
																						<td width="256">
																							<xsl:for-each select="ps:firstName">
																								<b>
																									<xsl:apply-templates/>
																								</b>
																							</xsl:for-each>
																						</td>
																						<td width="249">
																							<xsl:for-each select="ps:lastName">
																								<b>
																									<xsl:apply-templates/>
																								</b>
																							</xsl:for-each>
																						</td>
																						<td width="139">
																							<xsl:for-each select="ps:tel">
																								<xsl:apply-templates/>
																							</xsl:for-each>
																						</td>
																						<td width="180">
																							<xsl:for-each select="ps:email">
																								<xsl:apply-templates/>
																							</xsl:for-each>
																						</td>
																						<td width="169">
																							<xsl:for-each select="ps:tin">
																								<xsl:apply-templates/>
																							</xsl:for-each>
																						</td>
																						<td width="247">
																							<xsl:for-each select="ps:policeId">
																								<xsl:apply-templates/>
																							</xsl:for-each>
																						</td>
																						<td width="395">
																							<xsl:for-each select="ps:bankAccount">
																								<xsl:for-each select="@iban">
																									<xsl:value-of select="."/>
																								</xsl:for-each>
																							</xsl:for-each>
																						</td>
																						<td width="786">
																							<xsl:for-each select="ps:amka">
																								<xsl:apply-templates/>
																							</xsl:for-each>
																						</td>
																					</tr>
																				</xsl:for-each>
																			</tbody>
																		</table>
																		<table border="1">
																			<thead>
																				<tr bgcolor="#FFFFBF">
																					<td width="245">Είδος σύμβασης</td>
																					<td width="213">Ακκαθάριστες αμοιβές</td>
																					<td width="312">Κρατήσεις</td>
																					<td width="414">Εργοδ. Εισφορές</td>
																					<td width="219">Καθαρό ποσό <br/>1ης πληρωμής</td>
																					<td width="297">Καθαρό ποσό <br/>2ης πληρωμής</td>
																				</tr>
																			</thead>
																			<tbody>
																				<xsl:for-each select="ps:payment">
																					<tr bgcolor="#FFFFFF">
																						<td width="245">
																							<xsl:for-each select="@contractType">
																								<xsl:value-of select="."/>
																							</xsl:for-each>
																						</td>
																						<td width="213">
																							<xsl:for-each select="ps:income">
																							<table>
																											<tr>
																												<td>
																					<xsl:value-of select="format-number(sum(ps:gr/@amount),'#.00')"></xsl:value-of>
																								</td>
																											</tr>
																										</table>
																							</xsl:for-each>
																						</td>
																						<td width="312">
																							<xsl:for-each select="ps:income">
                                                                                                <table>
																											<tr>
																												<td>
																					<xsl:value-of select="format-number(sum(ps:de/@amount),'#.00')"></xsl:value-of>
																								</td>
																											</tr>
																										</table>
																							</xsl:for-each>
																						</td>
																						<td width="414">
																							<xsl:for-each select="ps:income">
                                                                                                <table>
																											<tr>
																												<td>
																					<xsl:value-of select="format-number(sum(ps:et/@amount  ),'#.00')"></xsl:value-of>
																								</td>
																											</tr>
																										</table>
																							</xsl:for-each>
																						</td>
																						<td width="219">
																							<xsl:for-each select="ps:netAmount1">
																								<xsl:for-each select="@value">
																									<xsl:value-of select="."/>
																								</xsl:for-each>
																							</xsl:for-each>
																						</td>
																						<td width="297">
																							<xsl:for-each select="ps:netAmount2">
																								<xsl:for-each select="@value">
																									<xsl:value-of select="."/>
																								</xsl:for-each>
																							</xsl:for-each>
																						</td>
																					</tr>
																				</xsl:for-each>
																				<tr>
																					<td width="245"><b>Σύνολα:</b></td>
																					<td width="213"><b><xsl:value-of select="format-number(sum(ps:payment/ps:income/ps:gr/@amount  ),'#.00')" /></b></td>
																					<td width="312"><b><xsl:value-of select="format-number(sum(ps:payment/ps:income/ps:de/@amount  ),'#.00')" /></b></td>
																					<td width="414"><b><xsl:value-of select="format-number(sum(ps:payment/ps:income/ps:et/@amount  ),'#.00')" /></b></td>
																					<td width="219"><b><xsl:value-of select="format-number(sum(ps:payment/ps:netAmount1/@value  ),'#.00')" /></b></td>
																					<td width="297"><b><xsl:value-of select="format-number(sum(ps:payment/ps:netAmount2/@value ),'#.00')" /></b></td>
																					
																				</tr>
																			</tbody>
																		</table>
																		
																		
																		<br/>
																	</td>
																</tr>
																<tr>
																	<td width="#%100"/>
																</tr>
															</xsl:for-each>
														</tbody>
													</table>
												</xsl:for-each>
												<br/>
											
										</td>
									</tr>
								
							</tbody>
						</table>
						<hr color="black" size="1"/>
					</xsl:for-each>
				</xsl:for-each>
				</xsl:for-each>
				</xsl:for-each>
				<p>
					<br/>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
